Draft Ellipse

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Ellipse and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Page précédente: Draft Circle.svg Cercle
Page suivante: Rectangle Draft Rectangle.svg Arrow-right.svg

Draft Ellipse.svg Draft Ellipse

Emplacement du menu
Drafting → Ellipse
Ateliers
Draft, Arch
Raccourci par défaut
E L
Introduit dans la version
0.7
Voir aussi
Aucun

Description

La commande Draft Ellipse.svg Draft Ellipse crée une ellipse dans le plan de travail en cours à partir de deux points définissant un rectangle dans lequel l'ellipse s'inscrira.

Une Draft Ellipse peut être transformée en arc d'ellipse en donnant à ses propriétés DonnéesFirst Angle et DonnéesLast Angle des valeurs différentes.

Draft ellipse example.jpg

Ellipse définie par les coins d'un rectangle

Utilisation

Voir aussi: Draft La barre, Draft Accrochage et Draft Contrainte.

  1. Il existe plusieurs façons de lancer la commande :
    • Appuyez sur le bouton Draft Ellipse.svg Créer une ellipse.
    • Sélectionnez l'option Drafting → Draft Ellipse.svg Ellipse dans le menu.
    • Utilisez le raccourci clavier : E puis L.
  2. Le panneau de tâches Ellipse s'ouvre. Voir Options pour plus d'informations.
  3. Choisissez le premier point dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point.
  4. Choisissez le deuxième point dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point. Ce point ne doit pas être contraint sur l'axe X, Y ou Z.

Options

Les raccourcis clavier à caractère unique disponibles dans le panneau des tâches peuvent être modifiés. Voir Draft Préférences. Les raccourcis mentionnés ici sont les raccourcis par défaut.

  • Pour saisir manuellement des coordonnées, entrez les valeurs de X, Y et Z, et appuyez sur Entrée après chacune, ou, vous pouvez appuyer sur le bouton Draft AddPoint.svg Entrez le point lorsque vous avez les valeurs souhaitées. Il est conseillé de déplacer le pointeur hors de la Vue 3D avant de saisir les coordonnées.
  • Appuyez sur R ou cliquez sur la case Relative pour activer le mode relatif. Si le mode relatif est activé, les coordonnées du deuxième point sont relatives au premier point, sinon elles sont relatives à l'origine du système de coordonnées.
  • Appuyez sur G ou cliquez sur la case Global pour activer le mode global. Si le mode global est activé, les coordonnées sont relatives au système de coordonnées global, sinon elles sont relatives au système de coordonnées du plan de travail. Introduit dans la version 0.20
  • Appuyez sur L ou cliquez sur la case Rempli pour activer le mode de remplissage. Si le mode rempli est activé, l'ellipse créée aura la valeur DonnéesMake Face true et aura un face remplie.
  • Appuyez sur T ou cliquez sur la case Continuer pour activer le mode continu. Si le mode continu est activé, la commande redémarre après avoir terminé, ce qui vous permet de continuer à créer des ellipses.
  • Appuyez sur S pour activer ou désactiver Draft Accrochage.
  • Appuyez sur Echap ou sur le bouton Fermer pour interrompre la commande.

Remarques

  • Une Draft Ellipse peut être éditée avec la commande Draft Editer.

Préférences

Voir aussi : Réglage des préférences et Draft Préférences.

  • Pour modifier le nombre de décimales utilisées pour la saisie des coordonnées : Édition → Préférences... → Général → Unités → Système d'unités → Nombre de décimales.
  • Pour modifier la valeur initiale du mode rempli : Édition → Préférences... → Draft → Paramètres généraux → Options des outils de Draft → Remplir les objets avec des faces si possible. La modification du mode de remplissage dans un panneau de tâches annule cette préférence pour la session FreeCAD en cours.
  • Si l'option Édition → Préférences... → Draft → Paramètres généraux → Options des outils de Draft → Utiliser les primitives de Part si possible est cochée, la commande créera une Part Ellipse au lieu d'une Draft Ellipse.

Propriétés

Voir aussi: Éditeur de propriétés

Un objet Draft Ellipse est dérivé d'un Part Part2DObject et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :

Données

Draft

  • DonnéesArea (Area) : (en lecture seule) spécifie la surface de la face de l'ellipse. La valeur sera 0.0 si DonnéesMake Face est false ou si la face ne peut être créée.
  • DonnéesFirst Angle (Angle) : spécifie l'angle du premier point de l'ellipse, normalement .
  • DonnéesLast Angle (Angle) : spécifie l'angle du dernier point de l'ellipse, normalement .
  • DonnéesMajor Radius (Length) : indique le rayon principal de l'ellipse.
  • DonnéesMake Face (Bool) : spécifie si l'ellipse forme une face ou non. Si c'est true, une face est créée, sinon seul le périmètre est considéré comme faisant partie de l'objet. Cette propriété ne fonctionne que si la forme est une ellipse complète.
  • DonnéesMinor Radius (Length) : spécifie le rayon mineur de l'ellipse.

Vue

Draft

  • VuePattern (Enumeration): spécifie un Draft Motif. avec lequel remplir la face de l'ellipse. Cette propriété ne fonctionne que si DonnéesMake Face est true et si VueDisplay Mode est Flat Lines.
  • VuePattern Size (Float): spécifie la taille du Draft Motif.

Script

Voir aussi: Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Pour créer une Draft Ellipse, utilisez la méthode make_ellipse (Introduit dans la version 0.19) du module Draft. Cette méthode remplace la méthode dépréciée makeEllipse.

ellipse = make_ellipse(majradius, minradius, placement=None, face=True, support=None)
  • Crée un objet ellipse avec un grand rayon donné (majradius) et un petit (minradius) en millimètres.
    • La valeur la plus grande sera utilisée pour le grand rayon (X axis) si aucun autre placement n'est indiqué.
  • Si placement est None, l'ellipse sera créée à l'origine.
  • Si face est True, l'ellipse fera une surface c'est-à-dire rempli.

Exemple:

import FreeCAD as App
import Draft

doc = App.newDocument()

ellipse1 = Draft.make_ellipse(3000, 200)
ellipse2 = Draft.make_ellipse(700, 1000)

zaxis = App.Vector(0, 0, 1)
p3 = App.Vector(1000, 1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 90))

ellipse3 = Draft.make_ellipse(700, 1000, placement=place3)

doc.recompute()


Arrow-left.svg Page précédente: Draft Circle.svg Cercle
Page suivante: Rectangle Draft Rectangle.svg Arrow-right.svg